
namespace eval ::CatModule { ;#

catch {namespace import ::CatDbg::*}

proc initenv {infoarray} {
    upvar $infoarray info
    global env

    catch {Log "Setting up environment"}
    set lib $info(APPDIR)/lib
    set bin $info(APPDIR)/bin
    set env(TCL_LIBRARY) $lib/tcl
    set env(PATH) $bin:$env(PATH)
    if [info exists env(/home/Library/lib/NT-5.0:/home/Library/lib/NT-5.0:)] {
	set env(/home/Library/lib/NT-5.0:/home/Library/lib/NT-5.0:) $lib:$env(/home/Library/lib/NT-5.0:/home/Library/lib/NT-5.0:)
    } else {
	set env(/home/Library/lib/NT-5.0:/home/Library/lib/NT-5.0:) $lib
    }
}


proc Install {mode infoarray} {
    upvar $infoarray info

    

    
    # NT specifics

    if $info(upgrade) {
	return
    }

    switch -exact -- $mode {
	install {
	    Log "Setting up registry"
	    if [catch { ::CatInfo::Init $info(ETCDIR) } msg] {
		Log "Failed to load registry: $msg"
	    }
	    Log "Installing service"
	    if [catch {exec $info(APPDIR)/bin/catd.exe -I} msg] {
		Log "Failed to install service: $msg"
	    }
	    Log "Installing bindhook"
	    if [catch {exec $info(APPDIR)/bin/hookinst.exe -I} msg] {
		Log "Failed to install bindhook: $msg"
	    }
	}
	uninstall {
	    Log "Cleanup registry"
	    catch {
		::CatInfo::Init $info(ETCDIR)
		foreach node {.global .services .tcp} {
		    ::CatInfo::Set $node {} 1
		}
	    }
	    Log "Stop & remove service"
	    if [catch {exec catd.exe -U} msg] {
		Log "Failed to stop service: $msg"		
	    }
	    Log "Remove bindhook"
	    if [catch {exec hookinst.exe -U} msg] {
		Log "Failed to remove bindhook (surprise...): $msg"
	    }
	}
    }

     

    # Clean out everything in "var", but avoid shooting ourselves
    # in the foot by also removing the "install" directory...
    #
    if {[string compare $mode uninstall] == 0} {
	catch {Log "Cleaning out vardir"}
	foreach f [glob [file join $info(VARDIR) *]] {
	    if [string match */install $f] continue
	    catch {file delete -force -- $f}
	}
    }

    return 1
}

} ;# end CatModule
