#
# $Id: confmsg.tcl,v 1.7 2000/03/01 17:04:35 elias Exp $
#

# 
# Informational messages for the menus and command-line interface

array set Menus {

protolist {
    ssl   {SSL Encryption and Authentication. Standard with Keon 5.0}
    dasp  {DASP Encryption and Authentication. Standard with BoKS (4.5)}
    plain {Plain pass-through proxy.  For testing purposes.}
}

add,service,help {
 Select one of the installed agents to configure.  If an agent is
 missing from the list, it has not been installed yet.
}
add,inetd,help {
 Services that are started by inetd (in /etc/inetd.conf on this machine)
 can be "wrapped" so any remote connections are intercepted by the agent
 instead.

 To configure an agent to connect to a remote server or a service which
 is not being run from inetd.conf, answer "n" here.
}
add,itag,help {
 This is the service name in inetd.conf for the service the agent 
 should connect to.
}
add,port,help {
 The TCP port number that the agent should listen to.
}
add,proto,help {
 The encryption protocol to use.  Clients that can connect to BoKS
 agents use the DASP protocols, other clients use SSL.  The plaintext
 option is only used for testing.
}
add,method,help {
 The authentication method to use when validating users in BoKS mode.

 For SSL authentication it depends on the agent whether method is
 required or not, or if there is a default method defined.
 If it is not needed, the value entered here will be ignored.
}
add,server,help {
 Enter the address and port of the real service, to which the agent
 should connect, specified as <address>:<port>.  If the server is
 running on the same machine as the agent, the string localhost
 should be used.  Otherwise the address can be either a numeric IP
 address, or a host name.  Using numeric addresses avoids hostname
 lookups, which is to be preferred both for performance and security
 reasons, but requires reconfiguration is addresses change.

 The service can be either a port name or a service name.

 Examples:
          172.16.1.10:25  (smtp [outgoing mail] on some other machine)
          localhost:23    (equivalent to 127.0.0.1:telnet)
}
add,descr,help {
 A short description of the agent. This is shown when the agents are
 listed. It is used to describe the configuration for a given port.
}
hostpsd,dofile,help {
 A check to make sure that you really want to install a new 
 Agent host virtual card.
}
hostpsd,file,help {
 A file containing the Agent host virtual card to be used by agents.  
 The file will be copied to the $ETC_ROOT directory.
}
hostpsd,pswf,help {
 The password that opens the Agent host virtual card can be read from a file.  
 If left empty, the password will be prompted for.
}
hostpsd,help {
 Set the Virtual Card file and/or the password for the Virtual Card. For
 security reasons, the password to the Virtual Card must be supplied in a 
 file.
}
hostpsd,usage {
 host [help] | [vcfile=<f1> pwdfile=<f2>]
    help    - display help
    vcfile  - set the Virtual Card where <f1> is the filename
    pwdfile - set the password to the VC where <f2> is a file 
              containing the password.
}
boks,setkey,help {
 Select whether to set the BoKS node key, which is used when agents
 communicate with a BoKS server.
}
boks,keyfile,help {
 The BoKS node key can be read from a file.  If left empty the key
 will be prompted for.
}
boks,domain,help {
 Sets the BoKS domain port number.  Can be given either as a port number,
 an old BoKS domain, which is a single-digit integer, or a service name.
 If in doubt, try 6500.
}
boks,setaddrs,help {
 Select if an entered list of BoKS servers to call should be used in 
 preference of broadcast.
}
boks,servers,help {
 List of BoKS servers to try to connect to.
 Format: <address1>,<address2>, ... ,<addressn>.

 The address can be either a numeric IP address, or a host name.  
 Using numeric addresses avoids hostname lookups, which is to be 
 preferred both for performance and security reasons, but requires 
 reconfiguration if addresses change.

 Example:
      172.16.1.10, 10.131.1.11
}
els,servers,help {
 Select ELS servers to send event logs to.

 Format: <address>:<port>,<address>:<port> ...

 The address can be either a numeric IP address, or a host name.  
 Using numeric addresses avoids hostname lookups, which is to be 
 preferred both for performance and security reasons, but requires 
 reconfiguration if addresses change.

 If the port number is omitted, the default value 2479 is used. This
 is the port normally used by ELS servers.

 Example:
      172.16.1.10:2479, 10.131.1.11
}
add,help {
 Add a new agent instance to protect a certain port.  Agent specific 
 parameters are set as additional "var=value" pairs on the command line.
 It is not verified by the program that a parameter is actually 
 valid for for the Agent, nor is any type checking of the value made.
 The parameter name For the Agent specific parameters should be a
 "catinfo" name on relative form (i.e. a pathname with dot, '.' as 
 separator but no leading dot).
}
add,usage {
 add help
 add svc=<name> inetd=<tag> method=<met> proto=<prot> [desc=<d>] [var=val ...]
 add svc=<name> port=<no> server=<srv> method=<met> proto=prot [desc=<d>] [var=val ...]
    
     help   - display help
     svc    - The service name of the Agent, e.g. "myagent-1.0"
     inetd  - Indicates that the application server is started by inetd.
              <tag> is the tag in inetd.conf.
     port   - The local port number to protect as an integer.
     server - The address of the application server on the form 
              "hostname:port"
     method - Method name of this Agent instance.
     proto  - Security protocol to use. proto must be one of ssl, dasp 
              or plain.
     desc   - Optional descriptive string for this Agent instance.
}
del,help {
 Delete an Agent instance given a port number.
}
del,usage {
 del help
 del port=<portno>
    help - display help
    port - remove the Agent instance that is protecting port number <portno>.
}
list,help {
 List all configured ports.
}
list,usage {
 list [help]
    help - display help
}
show,help {
 Show the global configuration.
}
show,usage {
 show [help]
    help - display help
}
boks,help {
 Set up the Keon 4.x parameters nodekey, domain and set or remove a list 
 of Keon 4.x Servers.
 If no severs are specified, Keon 4.x servers are located by broadcast.

 Example:
    To add the hosts "b1.xyz.com" and "b2.xyz.com" and set the 
    nodekey to "aZ74K2aP", the following command can be issued;

      config boks nodekey=aZ74K2aP servers=b1.xyz.com,b2.xyz.com

    To remove all previously configured servers

      config boks nodekey=aZ74K2aP servers=.  
}
boks,usage {
 boks help
 boks [nodekey=<key>] [domain=<dom>] [servers=<srvlist>]
    help    - display help
    nodekey - set the nodekey for the Keon Bridge
    domain  - Set the Keon 4.x domain (default 6500)
    servers - Specify a comma separated list of Keon 4.x servers.
              If <srvlist> is a dot ('.'), all previously configured
              servers will be removed.
}
els,help {
 Set the ELS servers.
}
els,usage {
 els help
 els servers=<srvlist>
    help    - display help
    servers - Specify a comma separated list of ELS servers where
              a server is specified as <host>:<port>
              If <srvlist> consists of a single dot ('.') the previously
              configured ELS servers will be removed.
}
ca,help {
 Manage CA certificate database file.
}
ca,usage {
 ca help
 ca list
 ca import=<file>
 ca del=<idx>
    help   - Display help
    list   - List currently installed CA certificates
    import - Import CA certificate in <file> and add it to the 
             CA db file. The CA certificate must not exist in database.
    del    - Remove the CA certificate with index <idx> from the CA db
             file.
}
save,help {
 Save the current configuration. This means that the configuration data,
 Virtual Card file, password file and CA certificate database file will be 
 packed together in a single file. This configuration file can later be 
 unpacked to restore a previous configuration.
 If no filename for the configuration file is specified, the file will be
 written to stdout
    
 WARNING: A saved configuration file must be treated with extreme care
          since it may contain the password to the Agent Host Virtual Card.
}
save,usage {
 save [help] | [vc] [ca] [cfg] [file=<f>]
    help - display help
    vc   - Save the Agent Host Virtual Card
    ca   - Save the CA database file
    cfg  - Save the configuration parameters
    file - Save the configuration information in <f>. If omitted,
           output is written to stdout.

    By default, everything is saved (i.e. equivalent to run with the "vc", 
    "ca" and "cfg" options). 
}
restore,help {
 Restore a previously saved configuration. Only the items that was saved will
 be restored (Virtual Card, CA database file and/or configuration values) 
 everything else will be unaffected.

 WARNING: A saved configuration file must be treated with extreme care
          since it may contain the password to the Agent Host Virtual Card.
}
restore,usage {
 rest help
 rest file=<f>
    help - display help
    file - read saved configuration data from <f>
}
}
