#
# $Id: debug.tcl,v 1.5 1999/08/15 18:23:05 mikko Exp $
# Copyright 1999 Security Dynamics
#
# Simple debug trace output from a Tcl script, v0.0
#

namespace eval ::CatDbg { ;#

namespace export Warning Log D DebugLevel DebugOutput DebugLogFile

variable output stderr
variable log {}
variable level 0
variable close 0

proc out {string} {
    variable output
    variable log

    catch {puts $output $string}
    if [string length $log] {
	catch {puts $log $string}
    }
    
}

proc Log {string} {
    variable log

    D 9 "Log: $string"
    catch {puts $log $string}
}

proc D {at string} {
    variable level

    if {$at <= $level} {
	out $string
    }
}

proc Warning { string } {
    out "Warning: $string"
}

proc DebugLevel { number } {
    variable level

    set old $level
    if {[scan $number %d n] == 1} {
	set level $n
    }
    return $old
}

proc DebugOutput { what name } {
    variable output
    variable close

    set c 0
    switch -glob -- $what {
	-c* {
	    set f $name
	}
	-f* {
	    if [catch {set f [open $name a+]}] {
		return 0
	    }
	    incr c
	}
    }
    if $close {
	close $output
    }
    set close $c
    set output $f

    return 1
}

proc DebugLogFile {filename} {
    variable log

    catch {close $log}
    if [catch {set f [open $filename a+]} msg] {
	Warning "unable to log to $filename"
	return 0
    }
    set log $f

    return 1
}

} ;# end namespace CatDbg
