#
# $Id: custom.tcl,v 1.8 2000/02/09 10:13:38 perre Exp $
#
# This file demonstrates a simple interface to add agent specific
# parameters to the info tree. This script will be sourced by the
# installation framework. Basically there are two functions one can
# call.
#
# help tag help_message 
#
# parameter tag type info_path prompt_string
#
# The 'parameter' function will create 'info_path' with a value specified
# at the prompt. The 'type' parameter will force the user to specify
# a value of any of the following types.
#
# Type       Meaning
# ----       -------
# y          The answer must be yes or no.
# s          Must specify a string.
# z          Must specify a non-empty string.
# n          The answer must be a numeric value.
# 
# The 'help' function will associate the help message with 'tag'.
# The help message will be displayed if one press '?' on the 
# prompt for that tag.
#

help begin_port {
 This ftp agent only works for passive mode ftp connections therefore 
 you need to specify a port range (e.g. 50000-50005) where the agent
 may listen for incoming connections from the client when trying 
 to establish a data transfer channel. Here you should specify the 
 first valid port number in the range (e.g. 50000).
}

help ports { 
 This ftp agent only works for passive mode ftp connections therefore 
 you need to specify a port range (e.g. 50000-50005) where the agent
 may listen for incoming connections from the client when trying 
 to establish a data transfer channel. Here you should specify number
 of ports the agent should use (e.g. 6).
}

set begin_port_prompt "Enter first number in port range (or ?): "
set ports_prompt "Enter number of ports in range: "

parameter begin_port n ftp.start_port $begin_port_prompt
parameter ports n ftp.ports $ports_prompt 



