#
#@if(0)
#
# $Id: Makefile.pp,v 1.6 2000/01/25 10:27:30 perre Exp $
#
#
# This is a sample Makefile.pp to build an agent.  It should
# be processed with the "ppmk" tool, to generate a Makefile
# which then can be used by "make" (or "nmake")
#
# This file will be processed with "pp" and any text other than
# pp-constructs will end up in the makefile.  The if(0)-endif
# surrounding these paragraphs is one way to ensure that they
# are not copied to the generated makefile.
#
@# pp-comments look like this, and are also removed from the output.
@#
#@endif
#
# If this directory already contains a Makefile, it can be
# updated by running "make Makefile"
#

@# Unix only:
@# Uncomment this to use a different C compiler, such as gcc
@# On unix, "ppmk" will read the file ".ppmk" in your home directory,
@# thus giving you the chance of changing default values.
@#
@#@define(CC, gcc)

@# Change and uncomment this to set the target directory for the
@# distruibution created by the "dist" target.
@#
@#@define(TARGETDIR, /tmp/distribution)

@# Include the version definition file "pop3.pp".
@#
@# This is included in a number of files in the distribution,
@# as well as turned into a header file for inclusion in C programs.
@#
@# The point is to keep version information in a single place.
@# After making changes to this file running "make clean" and "make"
@# should propagate the changes.
@#
@include(pop3.pp)

@# The program name should almost certainly be composed of the service
@# name and the version number.  Remmeber that several versions may have
@# to co-exist.
@#
@define(PROG, @SERVICE-@VERSION)

@# TARGETS should always be the first "ppmk" function called.
@# It defines the default targets that should be built.
@#
@# Except for the agent program, the targets are all temporary
@# results after preprocessing various description files for
@# the distribution.
@#
@# The following would have the same end result, but not
@# produce the temporary files until the "dist" target is made:
@#
@#   @define(DISTFILES, gap.tmp properties.tmp cfg.tmp)
@#   @TARGETS(@PROG)
@#
@TARGETS(@PROG gap.tmp properties.tmp cfg.tmp)

@# Produce a header file from the version information file.
@#
@VERSIONFILE(pop3.pp, version.h)

@# Generate targets to process the distribution files, using
@# definitions from the version information file, "pop3.cfg".
@#
@PPFILE(gap.tmp, @SERVICE.gap, -ipop3.pp)
@PPFILE(properties.tmp, @SERVICE.properties, -ipop3.pp)
@PPFILE(cfg.tmp, @SERVICE.cfg, -ipop3.pp)
@PPFILE(description, dist.pp, -ipop3.pp)

@# This builds the agent program, using catgen and cat libraries,
@# and including any networking and threading libraries needed
@# by the toolkit.
@#
@# A non-threaded version can, on some platforms, be built by
@# replacing @LIB_THREAD with @LIB_NOTHREAD.
@#
@PROGRAM(@PROG, pop3.c popagent.c line.c,
		@LIB_CATGEN @LIB_CAT @LIB_NET @LIB_THREAD)
