#
# $Id: dist.pp,v 1.5 2000/01/27 12:14:11 elias Exp $
#
# This file describes the contents of an agent module.
# Blank lines and lines beginning in "#" are ignored,
# and are only included here as documentation.  In a standard
# product, they are left out.
#
@# This file will be processed with "pp", expanding symbols
@# beginning in @.  The symbols are either defined by the "ppmk"
@# tool, or defined in the version definition file, "telnet.pp".

#----------------------------------------------------------------------
# Header information.
# These should always be the first non-blank lines
#

# fileset module description
#
#   module: name-<version>
#   	    This is the same as the name of the distribution subdirectory
#	
#   description: A string enclosed in quotes.
#
fileset @SERVICE-@VERSION "@DESCRIPTION"

# version version patchlevel build crypto-strength
#
#   version:	major.minor, same as above
#   patchlevel:	start with 0
#   build:	start with 0 and increase for each new build
#   crypto:	"export" or "domestic"  Depends on the SDK version,
#		use the one provided in this example.
#
version @VERSION @PATCHLEVEL @REVISION @CRYPT_LICENSE

# brand shortname longname
#
# This is optional. A short and a long version of the "brand name".
# They may be identical.
#
brand "Keon" "Keon"

# require module
#
# Any modules required by this module.  Practically everything
# requires the "base system".  If several other modules must be
# installed, use multiple "require" lines.
#
require catbase-@CAT_VERSION

# Platform.
#
system @SYSTEM

# Leave this for any module that is an agent.
#
agent

#----------------------------------------------------------------------
# Contents
#
# Files are described by lines looking like:
#
#  <type> <destination-path> <source-path>
#
# When building the distribution, files will be copied from the
# build directory to the distribution directory, with the same
# relative path.
#
# During installation, the files will be copied to the destination
# path, which is normally relative to one of the target directories,
# see "target" below.
#
# The file types are:
#
#  i - Informational. Included in distribution, ignored on installation
#  p - Program
#  P - Executable script. Subject to symbol replacement.
#  f - Plain text file.
#  F - Text file. Subject to symbol replacement.
#  b - Binary file.
#  d - Directory. Has no source path. Target directories must
#      be created before fils can be copied into them, but do
#      not add lines for directories created by required modules.
#
#  Text files and scripts are subject to CR-LF translation.  Pdf, Word
#  or similar documents should be treated as binary files.
#
# target $<directory>
#
#    During installation, any target paths that follow are relative
#    to one of the installation directories:
#
#	$APPDIR	- programs, libraries, static data, documentation
#	$ETCDIR	- configuration files
#	$VARDIR	- dynamic data, logs
#
# Files subjected to symbol replacement will have occurences of the
# follwing sequences replaced during installation:
#
#   <<INSTALL:VARDIR>>	The full path to $VARDIR
#   <<INSTALL:APPDIR>>	The full path to $APPDIR
#   <<INSTALL:ETCDIR>>	The full path to $ETCDIR
#
# Special cases:
#
#   If a file ends in ".boks" and there is no source file, the
#   corresponding Agent Definition File will be generated.
#
#   If a file is called "VERSION.txt" a version file will be
#   generated.
#
#   These generated files depend on the information in the
#   "fileset" and "version" lines.
#
# In this file, the variable $MOD may be used.  It will contain
# the name of this module, as specified on the "fileset" line.
# It can also be written as ${MOD}.
#
#
# NOTE: All modules should create a subdirectory under $APPDIR/lib,
#       with the same name as the module. This directory should
#       contain a VERSION.txt file.
#
# NOTE: The "gap.tmp" and "properties.tmp" files are temporary files
# 	that have been generated from <service>.gap and <service>.properties.
#

i ../../adf/@(SERVICE)_@_VERSION.boks
i ../../adf/@(SERVICE)_@_VERSION.gap              gap.tmp
i ../../adf/@(SERVICE)_@_VERSION.properties       properties.tmp

target $APPDIR
p bin/@SERVICE-@VERSION@EXE			@SERVICE-@VERSION@EXE
d lib/$MOD
f lib/$MOD/VERSION.txt  VERSION.txt
f lib/$MOD/custom.tcl	custom.tcl
f lib/$MOD/port.cfg	port.cfg

target $ETCDIR
F services/$MOD.cfg	cfg.tmp
